List webhooks
curl --request GET \
--url https://api.messages.dev/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.messages.dev/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.messages.dev/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"line_ids": [
"<string>"
],
"url": "<string>",
"events": [
"<string>"
],
"secret": "<string>",
"is_active": true
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "missing_required_parameter",
"message": "The 'from' query parameter is required.",
"param": "from"
},
"request_id": "req_abc123"
}{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "Missing Authorization header. Use 'Authorization: Bearer sk_live_...'"
},
"request_id": "req_abc123"
}Webhooks
List webhooks
Returns all active webhooks for a line.
GET
/
v1
/
webhooks
List webhooks
Authorizations
Use an API key as a bearer token: Authorization: Bearer sk_live_...
Each key has a set of scopes that gate which endpoints it can call:
messages:read, messages:write, chats:read, lines:read,
reactions:read, reactions:write, typing:read, typing:write,
receipts:read, receipts:write, webhooks:read, webhooks:write,
outbox:read, files:read, files:write. Keys can also be restricted
to a subset of lines.
Query Parameters
Line handle (phone number or Apple ID)
Example:
"+15551234567"
āI